Summary: e-smith server and gateway - proxy module.
%define name e-smith-apache-proxy
Name: %{name}
%define version 1.0.0
%define release 02
Version: %{version}
Release: %{release}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Patch0: e-smith-apache-proxy-1.0.0-02.mitel_patch
Packager: e-smith developers <bugs@e-smith.com>
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: e-smith-lib
BuildRequires: perl, e-smith-devtools
AutoReqProv: no

%description
e-smith server and gateway software - apache proxy module.

This module allows Apache to be configured to proxy requests for
external URLs. This version does not perform any caching, and
access is limited to any local networks.

Both HTTP and HTTPS can be proxied. This allows, for instance, non-SSL
equipped http browsers to access SSL sites. To do this with lynx, do:

export https_proxy=http://x.x.x.x:8080/
export http_proxy=http://x.x.x.x:8080/
lynx https://some.bank.site/some/path

%changelog
* Mon Apr 14 2003 Charlie Brady <charlieb@e-smith.com>
- [1.0.0-02]
- Change "Copyright: e-smith, inc" to "License: GPL". IOW, relicense
  as GPL. Include GPL2's COPYING file. [charlieb 8216]

* Fri Oct 11 2002 Charlie Brady <charlieb@e-smith.com>
- [1.0.0-01]
- Roll to maintained version number to 1.0.0

* Wed Jun  5 2002 Charlie Brady <charlieb@e-smith.com>
- [0.1.0-01]
- Changing version to maintained stream number to 0.1.0

* Thu May 23 2002 Gordon Rowell <gordonr@e-smith.com>
- [0.0.4-01]
- RPM rebuild forced by cvsroot2rpm

* Mon Feb 25 2002 Kirrily Robert <skud@e-smith.com>
- [0.0.3-01]
- Testing that the rpm2cvs was successful

* Mon Feb 25 2002 Kirrily Robert <skud@e-smith.com>
- [0.0.2-02]
- Testing that the rpm2cvs was successful

* Mon Feb 25 2002 Kirrily Robert <skud@e-smith.com>
- [0.0.2-01]
- rollRPM: Rolled version number to 0.0.2-01. Includes patches up to 0.0.1-04.

* Fri Jul  6 2001 Adrian Chung <adrianc@e-smith.com>
- [0.0.1-04]
- ProxyPort now does nothing if undefined.
- If it is defined, it's value is the port used.

* Wed Jul  4 2001 Adrian Chung <adrianc@e-smith.com>
- [0.0.1-03]
- ProxyPort=default should use 8080 as port, not "default".

* Wed Jul  4 2001 Adrian Chung <adrianc@e-smith.com>
- [0.0.1-02]
- Template now skips entries without a ProxyPort defined.
- If ProxyPort is "default", 8080 is used, otherwise it's
  value is used verbatim.

* Wed Jun 13 2001 Charlie Brady <charlieb@e-smith.com>
- [0.0.1-01]
- Initial release

%prep
%setup
perl createlinks
%patch0 -p1

%pre

%post

%build

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-%{release}-filelist
echo "%doc COPYING" >> %{name}-%{version}-%{release}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)
